SystemOrganization addCategory: #'O-ST-Tests-Compiler'!

OstTestCase subclass: #OstCompilerUtilitiesTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'O-ST-Tests-Compiler'!

!OstCompilerUtilitiesTest methodsFor: 'testing' stamp: 'StefanMarr 6/5/2013 16:06'!
testAsNormalSelector
	self assert: (#foo respondsTo: #asNormalSelector).

	self assert: #'__o__string' asNormalSelector == #string.
	self assert: #'__o__linesDo:' asNormalSelector == #linesDo:.
	self assert: #'__o__indexOf:startingAt:' asNormalSelector == #indexOf:startingAt:.
	self assert: #'__o__//' asNormalSelector == #//! !

!OstCompilerUtilitiesTest methodsFor: 'testing' stamp: 'StefanMarr 6/5/2013 16:06'!
testAsOmniSelector
	self assert: (#foo respondsTo: #asOmniSelector).
	
	self assert: #string asOmniSelector == #'__o__string'.
	self assert: #linesDo: asOmniSelector == #'__o__linesDo:'.
	self assert: #indexOf:startingAt: asOmniSelector == #'__o__indexOf:startingAt:'.
	self assert: #// asOmniSelector == #'__o__//'! !

!OstCompilerUtilitiesTest methodsFor: 'testing-symbol' stamp: 'StefanMarr 6/5/2013 16:06'!
testIsInfix
	self deny: #string isInfix.
	self deny: #'__o__string' isInfix.
	
	self deny: #linesDo: isInfix.
	self deny: #'__o__linesDo:' isInfix.
	
	self deny: #indexOf:startingAt: isInfix.
	self deny: #'__o__indexOf:startingAt:' isInfix.
	
	self assert: #// isInfix.
	self assert: #'__o__//' isInfix! !

!OstCompilerUtilitiesTest methodsFor: 'testing-symbol' stamp: 'StefanMarr 6/5/2013 16:06'!
testIsKeyword
	self deny: #string isKeyword.
	self deny: #'__o__string' isKeyword.
	
	self assert: #linesDo: isKeyword.
	self assert: #'__o__linesDo:' isKeyword.
	
	self assert: #indexOf:startingAt: isKeyword.
	self assert: #'__o__indexOf:startingAt:' isKeyword.
	
	self deny: #// isKeyword.
	self deny: #'__o__//' isKeyword! !

!OstCompilerUtilitiesTest methodsFor: 'testing' stamp: 'StefanMarr 6/5/2013 16:05'!
testIsOmniSelector
	self assert: (#foo respondsTo: #isOmniSelector).

	self deny: #string isOmniSelector.
	self deny: #linesDo: isOmniSelector.
	self deny: #indexOf:startingAt: isOmniSelector.
	self deny: #// isOmniSelector.

	self assert: #'__o__string' isOmniSelector.
	self assert: #'__o__linesDo:' isOmniSelector.
	self assert: #'__o__indexOf:startingAt:' isOmniSelector.
	self assert: #'__o__//:' isOmniSelector! !

!OstCompilerUtilitiesTest methodsFor: 'testing-symbol' stamp: 'StefanMarr 6/5/2013 16:05'!
testIsUnary
	self assert: #string isUnary.
	self assert: #'__o__string' isUnary.
	
	self deny: #linesDo: isUnary.
	self deny: #'__o__linesDo:' isUnary.
	
	self deny: #indexOf:startingAt: isUnary.
	self deny: #'__o__indexOf:startingAt:' isUnary.
	
	self deny: #// isUnary.
	self deny: #'__o__//' isUnary! !

!OstCompilerUtilitiesTest methodsFor: 'testing-symbol' stamp: 'StefanMarr 6/5/2013 16:05'!
testNumArgs
	self assert: #string numArgs = 0.
	self assert: #'__o__string' numArgs = 0.
	
	self assert: #linesDo: numArgs = 1.
	self assert: #'__o__inesDo:' numArgs = 1.
	
	self assert: #indexOf:startingAt: numArgs = 2.
	self assert: #'__o__indexOf:startingAt:' numArgs = 2.
	
	self assert: #// numArgs = 1.
	self assert: #'__o__//' numArgs = 1! !
